Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#43070 closed defect (fixed)

kde port installs broken kde3 packages

Reported by: urilabob@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc: NicosPavlov, cooljeanius (Eric Gallager)
Port: kde

Description

As acknowledged in ticket #41136 and various other tickets, kdelibs3 and related packages are broken under recent macintosh systems. Yet they are still installed by 'port install kde'. Surely this should install the most up-to-date kde system. Or if that's too hard, then installing kde should at least warn that it is likely to be broken, and point to the appropriate way to install an up-to-date kde system (for example, point to a kde4 package).

Change History (4)

comment:1 Changed 5 years ago by ryandesign (Ryan Schmidt)

Cc: nicos@… added
Port: kde added

comment:2 Changed 5 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:3 Changed 5 years ago by NicosPavlov

Resolution: fixed
Status: newclosed

It makes indeed quite some sense to avoid directing people to kde3. Committed in r118253.

comment:4 in reply to:  3 Changed 5 years ago by cooljeanius (Eric Gallager)

Replying to nicos@…:

It makes indeed quite some sense to avoid directing people to kde3. Committed in r118253.

Personally I would have preferred having separate "kde3" and "kde4" metaports, but I suppose just repurposing the existing "kde" metaport (like r118253 did) is probably easier (and less confusing) than making it obsolete and then having to decide which one to mark it as replaced_by...

Last edited 5 years ago by cooljeanius (Eric Gallager) (previous) (diff)
Note: See TracTickets for help on using tickets.